// ####################################
// # Shaders written by Michael Cuneo #
// ####################################
// Edited by ZELLIS 2-26-08
// re-release version bridgwars 2

textures/mister_sky/sky_blue_dusk
{
	qer_editorimage textures/mister_sky/sky_blue_dusk.tga
	
	q3map_lightsubdivide 768
	q3map_surfacelight 124 // was 104
	q3map_backsplash 0 0
	
	q3map_sun 1 .85 0.5 85 -32 56 // intensity was 65, now 75
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/mister_sky/env/sky_blue_dusk 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/mister_sky/sky_blue_dusk.tga
		tcMod scale 3 3
		tcMod scroll 0.010 -0.013 //WAS .005 -.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/mister_sky/sky_blue_dusk_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
	{
		map textures/mister_sky/test.jpg
		blendfunc add //gl_zero gl_dst_color
		tcMod scale 2 2
		tcMod scroll 0.010 .013
		rgbGen identityLighting
	}
}

textures/mister_sky/sky_blue_dusk_vx
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/mister_sky/env/sky_blue_dusk 512 -
	
	nopicmip
	nomipmaps
	
	{
		clampmap textures/mister_sky/sky_blue_dusk_mask.tga
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}


textures/ZELLIS/blue_water1
{
	qer_editorimage textures/ZELLIS/blue_water1.tga
	surfaceparm water
	qer_nocarve
	qer_trans 0.3
	surfaceparm noimpact
	deformvertexes wave 1024 sin 0 6 0 .25
	tesssize 1024
	cull none
	{
		map textures/ZELLIS/blue_water1c.tga
		blendfunc filter
		tcMod turb 1 0.1 1 0.025
		tcMod scroll 0.03 0.03
	}

        {
		map textures/ZELLIS/water_clouds.jpg
		blendfunc gl_one gl_dst_color
		tcMod scale 0.5 0.5
		tcMod scroll 0.010 -.013
	}
}

//



textures/ZELLIS/ladder
{
	qer_editorimage textures/ZELLIS/ladder.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

textures/ZELLIS/water_caulk
{
        qer_trans 0.40
	qer_editorimage textures/ZELLIS/water_caulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nocarve

}


